#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	Size
Summary:	Term::Size - Perl extension for retrieving terminal size
Summary(pl.UTF-8):	Term::Size - rozszerzenie Perla do odczytu rozmiaru terminala
Name:		perl-Term-Size
Version:	0.207
Release:	14
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Term/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	474438fff3f12fca88a23388cc5a7571
URL:		http://search.cpan.org/dist/Term-Size/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Term::Size is a Perl module which provides a straightforward way to
retrieve the terminal size.

%description -l pl.UTF-8
Term::Size to moduł Perla dostarczający bezpośredni sposób na odczyt
rozmiaru terminala.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Copyright README
%{perl_vendorarch}/Term/Size.pm
%dir %{perl_vendorarch}/auto/Term/Size
%{perl_vendorarch}/auto/Term/Size/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Term/Size/Size.so
%{_mandir}/man3/Term::Size.3pm*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Term-Size.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7d1987c
- rebuild with perl 5.30.0
- release 14 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> e16a4bf
- rebuild with perl 5.28.0
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e7c8d81
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> efe93be
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 053b8d8
- verbose man file

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a9ff3cd
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2c03942
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1247e14
- x32 rebuild
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> adfd172
- release 7 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> f8c8b6d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0df09bf
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 57ff2c5
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Mon Oct 10 2011 lisu <lisu@pld-linux.org> fc3335e
- rel 4

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 68a2251
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> af93113
- release 2

* Mon Sep 07 2009 amateja <amateja@pld-linux.org> fe6bcb4
- updated to 0.207

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 212478c
- release 4

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> f26b274
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b22520
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> daf0f14
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

